{% extends "/guest/guest_default.twig" %}
{% block title %}{{ nome_territorio }} mappa{% endblock %}
{% block adding_css %}
    <link href="{{dirDefault}}/template/default/css/datatables.css" rel="stylesheet" type="text/css">
{% endblock %}

{% block wrapper %}
    <div class="row">
        <div class="col-lg-3 col-md-6">
            <h3>{{ nome_territorio }}
             <a class="btn btn-primary btn-outline" href="{{dirDefault}}/guest/mappa/{{ id_territorio }}">Aggiorna</a>
             <a class="btn btn-primary btn-outline" href="{{dirDefault}}/guest/nominativi/{{ id_territorio }}">Nominativi</a>
            </h3>
        </div>
    </div>
     <div class="row">
        <div class="col-lg-3 col-md-6">
            <div id="map" style="width:100%;height:600px">
        </div>
    </div>


{% endblock %}


{% block adding_js %}

    <script src="https://maps.google.com/maps/api/js?key=AIzaSyCWfN-lcWrUGrQNhjMGOAGDeAMsekB3aP0" type="text/javascript"></script>
    <script type="text/javascript">

        var request = $.ajax({
            method: "post",
            url: "{{dirDefault}}/territorio/dettagli/mappa/load_mappa/{{ id_territorio }}",
            dataType: "json"
        });
        request.done(function (resp) {
            var centro_mappa = resp.centro_mappa;
            var map = new google.maps.Map(document.getElementById('map'), {
                zoom: 14,
                center: new google.maps.LatLng(centro_mappa.latitudine, centro_mappa.longitudine),
                mapTypeId: google.maps.MapTypeId.ROADMAP
            });

            var infowindow = new google.maps.InfoWindow();

            var marker, i;
            //CICLO LE INFORMAZIONI SUI MARKER IN ARRIVO DA AJAX
            var info_marker = resp.info_nominativi;
            for( i in info_marker){
                //DEFINISCO TIPO DI MARKER
                if(info_marker[i].status == 0){
                    var mark = "marker_conf.png";
                }else{
                    var mark = "marker_grey.png";
                }
                mark = "{{dirDefault}}/image/marker/"+mark;

                marker = new google.maps.Marker({
                    position: new google.maps.LatLng(info_marker[i].latitudine, info_marker[i].longitudine),
                    map: map,
                    icon: mark
                });
                //PREPARO INFO PER APERTURA INFO A CLICK SU MARKER


                google.maps.event.addListener(marker, 'click', (function(marker, i) {
                    return function() {
                        infowindow.setContent(info_marker[i].nome_comune+", "+info_marker[i].via+" "+info_marker[i].civico+" "+info_marker[i].interno);
                        infowindow.open(map, marker);
                    }
                })(marker, i));

            }
        });
    </script>
{% endblock %}